------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-06-16
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(362, 412)
local Player_1 = CppScriptMgr:AddSimplePlayer(1101260, 362, 412, "Suyi", 0, 0)
Player_1:SetDir(5)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(365, 409)
Player_2:SetDir(1)
Player_2:SetName("")
local effect_2 = CppScriptMgr:AddEffect("ty_ymz", 557, 517, 33, 1, 1, 1)
effect_2:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("This is where the elves reside within Flickerwood.", 2000)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(2000)
Player_2:Say("Wow! It`s beautiful!", 1500)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:ShakeScrEffect(5)
Player_2:Say("What`s happening!", 1000)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 366, 413, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
local Player_3 = CppScriptMgr:AddSimplePlayer(1101200, 366, 413, "ElfKing", 0, 0)
CppScriptMgr:WaitMilSec(100)
Player_1:SetDir(7)
Player_2:SetDir(7)
Player_3:SetDir(3)
CppScriptMgr:WaitMilSec(1400)
Player_3:Say("Something terrible has happened!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("Quickly, follow me!", 1500)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:SetViewPosByCell(568, 531)
local Effect_2 = CppScriptMgr:AddEffect("irongate_superc", 568, 531, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 574, 534, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("irongate_superc", 570, 538, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetPos(570, 538)
Player_2:SetPos(574, 534)
Player_3:SetPos(568, 531)
CppScriptMgr:WaitMilSec(500)
Player_1:SetDir(3)
Player_2:SetDir(3)
Player_3:SetDir(3)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("The World Tree is withering!!!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("It`s Lord Lorth!", 1500)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetDir(7)
CppScriptMgr:WaitMilSec(500)
Player_3:SetAction(101)
Player_3:Say("He broke through the barrier set by the elders and locked away the essence of the World Tree!", 2500)
CppScriptMgr:WaitMilSec(2500)
Player_3:Say("And now he`s draining all life energy from Flickerwood through the World Tree!", 2500)
CppScriptMgr:WaitMilSec(70)
Player_3:SetAction(160)
CppScriptMgr:WaitMilSec(2400)
Player_3:SetAction(190)
Player_3:Say("We must stop him!", 2500)
CppScriptMgr:WaitMilSec(3500)